cern.colt.matrix.bench

## Class BenchmarkMatrix

- java.lang.Object
- - cern.colt.matrix.bench.BenchmarkMatrix

-     public class BenchmarkMatrix
      extends java.lang.Object

  Configurable matrix benchmark. Runs the operations defined in main(args) or in the file specified by args. To get this overall help on usage type `java cern.colt.matrix.bench.BenchmarkMatrix -help`. To get help on usage of a given command, type `java cern.colt.matrix.bench.BenchmarkMatrix -help <command>`. Here is the help ouput for the dgemm command. Here is a sample result. For more results see the performance log.
  Version:
    0.5, 10-May-2000

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Runs the matrix benchmark operations defined in args or in the file specified by args0.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Runs the matrix benchmark operations defined in args or in the file specified by args0. To get detailed help on usage type java cern.colt.matrix.bench.BenchmarkMatrix -help

Jump to the Colt Homepage